from django.urls import path

from . import views

urlpatterns = [
  path('', views.upload, name='chemie-upload'),
  path('books/',views.book_list,name='chemie-book-list'),
  path('books/upload/',views.upload_book,name='chemie-book-upload'),
  path('books/<int:pk>/',views.delete_book,name='chemie-book-delete'),
  path('books/list/',views.gallery,name='chemie-gallery'),
  path('books/list/<str:name>/',views.gallery_delete,name='chemie-gallery-delete'),
  path('videos/',views.video_list,name='chemie-video-list'),
  path('videos/upload/',views.upload_video,name='chemie-video-upload'),
  path('videos/<int:pk>/',views.delete_video,name='chemie-video-delete'), 
  path('upload/',views.keller_upload,name='keller-upload'),
  path('keller/',views.KellerListView.as_view(),name='keller-list'),
  path('keller/<int:id>',views.KellerDetailView.as_view(),name='keller-detail'),
  path('keller/new',views.KellerCreateView.as_view(),name='keller-new'),
  path('keller/update/<int:id>',views.KellerUpdateView.as_view(),name='keller-update'), 
  path('keller/kill/<int:id>',views.KellerDeleteView.as_view(),name='keller-kill'), 
]
